> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent

> Delete a voice AI agent and all its configurations



## OpenAPI

````yaml /api-reference/voice-ai/openapi.json delete /voice-ai/agents/{agentId}
openapi: 3.0.0
info:
  title: Voice AI API
  description: Documentation for Voice AI API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Voice-AI
    description: Documentation for Voice AI API
  - name: Dashboard
    description: Documentation for Voice AI API
  - name: Agents
    description: Documentation for Voice AI API
  - name: Actions
    description: Documentation for Voice AI API
paths:
  /voice-ai/agents/{agentId}:
    delete:
      tags:
        - Agents
      summary: Delete Agent
      description: Delete a voice AI agent and all its configurations
      operationId: delete-agent
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: agentId
          required: true
          in: path
          description: Unique agent identifier
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
        - name: locationId
          required: true
          in: query
          description: Location ID
          schema:
            example: LOC123456789ABCDEF
            type: string
      responses:
        '204':
          description: Agent deleted successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - voice-ai-agents.write
components:
  schemas:
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          example:
            - Unprocessable Entity
          type: array
          items:
            type: string
        error:
          type: string
          example: Unprocessable Entity
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````